import { Directive, HostListener } from '@angular/core';

var NumericOnlyDirective = /** @class */ (function () {
    function NumericOnlyDirective() {
    }
    NumericOnlyDirective.prototype.onkeypress = function (e) {
        var event = e || window.event;
        if (event) {
            return this.isNumberKey(event);
        }
    };
    NumericOnlyDirective.prototype.isNumberKey = function (event) {
        var charCode = (event.which) ? event.which : event.keyCode;
        if (charCode > 31 && (charCode < 48 || charCode > 57)) {
            return false;
        }
        return true;
    };
    return NumericOnlyDirective;
}());
NumericOnlyDirective.decorators = [
    { type: Directive, args: [{
                selector: '[numeric-only]'
            },] },
];
NumericOnlyDirective.ctorParameters = function () { return []; };
NumericOnlyDirective.propDecorators = {
    "onkeypress": [{ type: HostListener, args: ['keypress',] },],
};

export { NumericOnlyDirective };
//# sourceMappingURL=ng-numeric-only.js.map
